Bug 461709 - Review Request: rsstool - Command-line RSS/Atom parser and generator
Review Request: rsstool - Command-line RSS/Atom parser and generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 00:17 EDT by Ian Weller
Modified: 2008-09-16 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-09-10 00:17:25 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/rsstool/1.0.0-1/rsstool.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/rsstool/1.0.0-1/rsstool-1.0.0-1.fc9.src.rpm
Description:
rsstool parses and generates RSS and Atom feeds on the command line.
Comment 1 Rakesh Pandit 2008-09-10 02:48:53 EDT
Review is coming ....
Comment 2 Rakesh Pandit 2008-09-10 03:30:27 EDT
Summary:

APPROVED


Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=817161

rpmlint clean

[rpmbuild@rocky SRPMS]$ rpmlint -i rsstool-1.0.0-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rpmbuild@rocky i386]$ rpmlint -i rsstool-1.0.0-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rpmbuild@rocky i386]$ rpmlint -i rsstool-debuginfo-1.0.0-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Required:
[x] md5sum match 

Downloaded source from 
http://download.berlios.de/rsstool/rsstool-1.0.0-src.tar.gz
[rpmbuild@rocky src]$ md5sum rsstool-1.0.0-src.tar.gz 
a3e003045d051491150385f556467a42  rsstool-1.0.0-src.tar.gz

Source from srpm:
[rpmbuild@rocky python]$ md5sum rsstool-1.0.0-1.fc9/rsstool-1.0.0-src.tar.gz 
a3e003045d051491150385f556467a42  rsstool-1.0.0-1.fc9/rsstool-1.0.0-src.tar.gz

[x] license - correct
[x] license file - included
[x] naming - correct
[x] packaging guidelines correct
[x] doc files
[x] %file & %clean section have rm -rf %{buildroot}
[x] consistent use of macros 
[x] license correct, version correct
[x] description and summary - ok
[x] spec file legible and uses American English
[x] compiles - okay
[x] BuildReauires and Requires - okay
[x] shared libs - NA , no duplicate files, header files NA, Static libs - NA
[x] owns all directories
 
Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated
Comment 3 Ian Weller 2008-09-10 17:47:21 EDT
Yay!

New Package CVS Request
=======================
Package Name: rsstool
Short Description: Command-line RSS/Atom parser and generator
Owners: ianweller
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Comment 4 Huzaifa S. Sidhpurwala 2008-09-11 23:19:57 EDT
cvs done
Comment 5 Fedora Update System 2008-09-13 00:10:55 EDT
rsstool-1.0.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rsstool-1.0.0-1.fc9
Comment 6 Fedora Update System 2008-09-13 00:10:58 EDT
rsstool-1.0.0-1.fc8.1 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rsstool-1.0.0-1.fc8.1
Comment 7 Fedora Update System 2008-09-16 19:26:02 EDT
rsstool-1.0.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-16 19:26:38 EDT
rsstool-1.0.0-1.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.